qpid-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Robert Greig (JIRA)" <qpid-...@incubator.apache.org>
Subject [jira] Created: (QPID-567) Add basic multiversion support to Qpid for interop between M1, M2 and 0-8 and 0-9 AMQP implementations
Date Tue, 04 Sep 2007 11:24:57 GMT
Add basic multiversion support to Qpid for interop between M1, M2 and 0-8 and 0-9 AMQP implementations
------------------------------------------------------------------------------------------------------

                 Key: QPID-567
                 URL: https://issues.apache.org/jira/browse/QPID-567
             Project: Qpid
          Issue Type: Improvement
          Components: Java Broker, Java Client, Java Common
    Affects Versions: M2
         Environment: Any
            Reporter: Robert Greig
            Assignee: Rob Godfrey
             Fix For: M2.1


As discussed on the Qpid mailing list, M2.1 is a release focussed on interop.

M2 will support 0-9 + some additions when speaking to other Qpid clients. We need to allow
some interop between M2 (which advertises 0-8 but isn't really), and other AMQP implementations
that offer 0-8 and 0-9 support.

Target for testing should be Rabbit and OpenAMQ 1.2c3 or later (which theoretically supports
0-9). The details of versions to support with Rabbit needs to be fleshed out.

This jira is to hold the work done for making the broker and client do some kind of multiversion
support. It does not need to be a fully generic solution since time to release is more important
here than a grand scheme for solving all multiversion issues in the universe.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message